Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.processtemplates
Class QueryInstancesPage

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.processtemplates.QueryInstancesPage

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<QueryProcessInstancesResult2>, net.customware.gwt.dispatch.shared.Action<QueryProcessInstancesResult2>

    public class QueryInstancesPage

extends java.lang.Object
implements OSAction<QueryProcessInstancesResult2>

Query a different process instances page using a pagingId from the QueryProcessInstances call

©2013 TIBCO Software Inc.

Since:
  2.2.0

Nested Class Summary
`static class` | `QueryInstancesPage.Page`

Constructor Summary
`QueryInstancesPage(int pagingId, QueryInstancesPage.Page pageToQuery)` Constructor for QueryNextInstancesPage.

Method Summary
`QueryInstancesPage.Page` | `getPageToQuery()` Gets the page to query Enum value
`int` | `getPagingId()` Gets the paging Id value

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryInstancesPage

    public QueryInstancesPage(int pagingId,
                              QueryInstancesPage.Page pageToQuery)

  Constructor for QueryNextInstancesPage.

  Parameters:
    `pagingId` - The pagingId of the query to run ( retrieved by calling QueryProcessInstances )
    `pageToQuery` - Enum describing which page to query

Method Detail

### getPagingId

    public int getPagingId()

  Gets the paging Id value

  Returns:
    pagingId

### getPageToQuery

    public QueryInstancesPage.Page getPageToQuery()

  Gets the page to query Enum value

  Returns:
    pageToQuery

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.